<h2 mat-dialog-title>New Student</h2>

<mat-dialog-content>
    <form [formGroup]="formGroup">
        <mat-form-field appearance="fill">
            <mat-label>Name:</mat-label>
            <input matInput formControlName="name">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>Patronus:</mat-label>
            <input matInput formControlName="patronus">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>Choose a date</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="dateofbirth">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>

        <input type="file" formControlName="image"  #fileUpload>

    </form>
</mat-dialog-content>

<mat-dialog-actions align="end">
  <button
    mat-raised-button
    color="primary"
    [mat-dialog-close]="true"
    [disabled]="!formGroup.valid"
    (click)="save()">Save</button>
  <button mat-raised-button mat-dialog-close>Cancel</button>
</mat-dialog-actions>
